Bug 54970 - Bash Env. Escape Problems With Xterms
Bash Env. Escape Problems With Xterms
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: bash (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-23 16:50 EDT by David Highley
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-23 16:51:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Highley 2001-10-23 16:50:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; SunOS 5.8 sun4u)

Description of problem:
RedHat 7.1 root environment has escape sequences in the prompt variable
that breaks usage with Solaris xterm windows. Since systems rarely are
exist in a homogenous network we need to be more careful about how they
work out of the box and integrate with other systems. Specific example is
the ls command output gets broken.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Login to the root account using a Solaris xterm window
2.Execute the ls -F command on say /usr/src
3.Should not be able to see all of the directories
	

Actual Results:  douglas: $ su -
Password: 
[root@douglas /root]# uname -a
Linux douglas 2.4.3-12 #4 Sat Sep 8 00:30:30 PDT 2001 i586 unknown
[root@douglas /root]# ls -F /usr/src
linux-2.4@  /            /           /
[root@douglas /root]# 


Expected Results:  douglas: $ ls -F /usr/src
linux-2.4@  linux-2.4.3/  linux-2.4.9-6/  redhat/
douglas: $

Additional info:
Comment 1 Bernhard Rosenkraenzer 2001-10-24 04:32:31 EDT
Those are standard xterm ascii sequences. If the Solaris xterm can't handle 
them, it's a Solaris bug.
They've been verified to work on various Linux distributions, FreeBSD, 
OpenBSD, NetBSD and even BeOS.

If you don't like the ls color sequences, deactivate/remove 
/etc/profile.d/colorls.{sh,csh}.
Comment 2 David Highley 2001-10-24 12:02:30 EDT
While I acknowledge that these escape sequences will work on most if not all
freely developed operating systems I believe that you will find that they work
on very few commercial versions. Just as we evaluate people on how they interact
and get along with others, we as System Administrators do much the same with
technology.  Many times we remember what is not done well instead of what was
done well. Put another way, how many times have you been frustrated by having to
trial and error discover what is the boot up escape key for a system. The system
might be a new version from a manufacturer that you all ready have experience
with. Now I ask what business value has the developer added to the product and
customer in changing boot escape character. I do not want start a rampant
discussion. Just trying to expand the awareness of impacts that minor changes
and decisions can have.

Note You need to log in before you can comment on or make changes to this bug.